# Uses of Interface
org.apache.lucene.monitor.MonitorUpdateListener

- ## Uses of MonitorUpdateListener in org.apache.lucene.monitor

  Methods in org.apache.lucene.monitor with parameters of type MonitorUpdateListener
  Modifier and Type
  Method
  Description
  `void`
  Monitor.`addQueryIndexUpdateListener(MonitorUpdateListener listener)`
  Register a `MonitorUpdateListener` that will be notified whenever changes are made to the Monitor's queryindex